Bug 1361659 - Re-Review Request: vdsm - Virtual Desktop Server Manager
Summary: Re-Review Request: vdsm - Virtual Desktop Server Manager
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1260743 1369102
Blocks: 1368675
TreeView+ depends on / blocked
 
Reported: 2016-07-29 16:30 UTC by Yaniv Bronhaim
Modified: 2018-04-18 21:30 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
dominik: fedora-review?


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 61384 None None None 2016-08-03 14:37:04 UTC
oVirt gerrit 61844 master MERGED Update spec change-log after re-review 2016-08-09 10:43:23 UTC
oVirt gerrit 62164 None None None 2016-08-09 17:27:23 UTC

Description Yaniv Bronhaim 2016-07-29 16:30:51 UTC
VDSM service is required by a Virtualization Manager to manage the
Linux hosts. VDSM manages and monitors the host's storage, memory and
networks as well as virtual machine creation, other host administration
tasks, statistics gathering, and log collection.

Spec URL: bronhaim.fedorapeople.org/vdsm.spec
SRPM URL: bronhaim.fedorapeople.org/vdsm-4.18.9-1.fc23.src.rpm

Comment 1 Douglas Schilling Landgraf 2016-08-01 19:23:13 UTC
Hi Yaniv,

fedora-review initially shared below, could you please review the following?

- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: rpm-build

- Uses parallel make %{?_smp_mflags} macro.

- Do not use config for tmpfilesdir (%config(noreplace) %{_tmpfilesdir}/%{vdsm_name}.conf)

%{_tmpfilesdir} expands to %{_prefix}/lib/tmpfiles.d which is the location that the package's default tmpfile creation scripts should install into. %{_tmpfilesdir}/%{name}.conf is not marked as a %config file because it is not supposed to be edited by administrators. Administrators can override the package's %{name}.conf by placing an identically named file in /etc/tmpfiles.d/, but this should very rarely be needed. 

The requires of python-devel must be updated
- Package contains BR: python2-devel or python3-devel

- Try to reduce the number of output of rpmlint

Comment 2 Yaniv Bronhaim 2016-08-02 15:14:27 UTC
New: Using master branch, so the output tar and src.rpm version is different than the one specified in the description

See my comments inline below

Spec URL: bronhaim.fedorapeople.org/vdsm.spec
SRPM URL: vdsm-4.18.999-338.gite4625d3.fc23.src.rpm


(In reply to Douglas Schilling Landgraf from comment #1)
> Hi Yaniv,
> 
> fedora-review initially shared below, could you please review the following?
> 
> - All build dependencies are listed in BuildRequires, except for any that
>   are listed in the exceptions section of Packaging Guidelines.

I believe that all our build requirements are listed accordingly - do you see something specific that relates to exceptions section? 

>   Note: These BR are not needed: rpm-build

It was added by purpose as it was needed in https://gerrit.ovirt.org/#/c/7955/

> 
> - Uses parallel make %{?_smp_mflags} macro.

For some reason the make fails with -j4 flag :\ still trying to understand why, so for now I still don't use the macro.

> 
> - Do not use config for tmpfilesdir (%config(noreplace)
> %{_tmpfilesdir}/%{vdsm_name}.conf)
> %{_tmpfilesdir} expands to %{_prefix}/lib/tmpfiles.d which is the location
> that the package's default tmpfile creation scripts should install into.
> %{_tmpfilesdir}/%{name}.conf is not marked as a %config file because it is
> not supposed to be edited by administrators. Administrators can override the
> package's %{name}.conf by placing an identically named file in
> /etc/tmpfiles.d/, but this should very rarely be needed. 
> 

Removed %config(noreplace) from this file which is not needed

> The requires of python-devel must be updated
> - Package contains BR: python2-devel or python3-devel

Require specifically python2-devel - we don't need python3-devel for now

> 
> - Try to reduce the number of output of rpmlint

The warnings we have are:

>> vdsm.spec:159: W: unversioned-explicit-obsoletes %{name}-infra

Added >= 4.16.0 where it was first introduced 

>>vdsm.spec:768: E: hardcoded-library-path in %{buildroot}/usr/lib/systemd/systemd-vdsmd
vdsm.spec:769: E: hardcoded-library-path in %{buildroot}/usr/lib/systemd/system-preset/85-vdsmd.preset
vdsm.spec:904: E: hardcoded-library-path in /usr/lib/systemd/systemd-vdsmd
vdsm.spec:905: E: hardcoded-library-path in /usr/lib/systemd/system-preset/85-vdsmd.preset

Using %{_libdir} now

>>vdsm.spec: W: invalid-url Source0: vdsm-4.18.999.tar.gz

Changed to https://bronhaim.fedorapeople.org/%{vdsm_name}-%{version}.tar.gz and I'll upload the tar there

Thanks!

Comment 3 Douglas Schilling Landgraf 2016-08-03 15:37:39 UTC
================

$ make tests is failing, fedora-review is failing...

$ whereis python
python: /usr/bin/python3.5 /usr/bin/python /usr/bin/python2.7-config /usr/bin/python2.7 /usr/bin/python3.5m /usr/lib/python3.5 /usr/lib/python2.7 /usr/lib64/python3.5 /usr/lib64/python2.7 /usr/include/python2.7 /usr/include/python3.5m /usr/share/man/man1/python.1.gz


make  check-local
make[3]: Entering directory '/home/fedora/vdsm/upstream/vdsm-4.18.999/tests'
*** Running tests.  To skip this step place NOSE_EXCLUDE=.* ***
*** into your environment.  Do not submit untested code!    ***
../tests/run_tests_local.sh  crossImportsTests.py
../tests/run_tests_local.sh: line 14: /usr/local/bin/python: No such file or directory
Makefile:1291: recipe for target 'check-local' failed
make[3]: *** [check-local] Error 127
make[3]: Leaving directory '/home/fedora/vdsm/upstream/vdsm-4.18.999/tests'
Makefile:1141: recipe for target 'check-am' failed
make[2]: *** [check-am] Error 2
make[2]: Leaving directory '/home/fedora/vdsm/upstream/vdsm-4.18.999/tests'
Makefile:993: recipe for target 'check-recursive' failed
make[1]: *** [check-recursive] Error 1
make[1]: Leaving directory '/home/fedora/vdsm/upstream/vdsm-4.18.999/tests'
Makefile:1017: recipe for target 'tests' failed
make: *** [tests] Error 2

=========

Additional comments:

* You can remove the lines below because it's deprecated/obsolete:
     rm -rf %{buildroot}
     %defattr(-, root, root, -)

* Update the changelog everything you update the spec

Comment 4 Yaniv Bronhaim 2016-08-04 12:31:41 UTC
Spec URL: bronhaim.fedorapeople.org/vdsm.spec
SRPM URL: vdsm-4.18.999-338.gitccb9928.fc23.src.rpm


(In reply to Douglas Schilling Landgraf from comment #3)
> ================
> 
> $ make tests is failing, fedora-review is failing...

for now I commented out the make tests

> 
> $ whereis python
> python: /usr/bin/python3.5 /usr/bin/python /usr/bin/python2.7-config
> /usr/bin/python2.7 /usr/bin/python3.5m /usr/lib/python3.5 /usr/lib/python2.7
> /usr/lib64/python3.5 /usr/lib64/python2.7 /usr/include/python2.7
> /usr/include/python3.5m /usr/share/man/man1/python.1.gz
> 
> 
> make  check-local
> make[3]: Entering directory '/home/fedora/vdsm/upstream/vdsm-4.18.999/tests'
> *** Running tests.  To skip this step place NOSE_EXCLUDE=.* ***
> *** into your environment.  Do not submit untested code!    ***
> ../tests/run_tests_local.sh  crossImportsTests.py
> ../tests/run_tests_local.sh: line 14: /usr/local/bin/python: No such file or
> directory
> Makefile:1291: recipe for target 'check-local' failed
> make[3]: *** [check-local] Error 127
> make[3]: Leaving directory '/home/fedora/vdsm/upstream/vdsm-4.18.999/tests'
> Makefile:1141: recipe for target 'check-am' failed
> make[2]: *** [check-am] Error 2
> make[2]: Leaving directory '/home/fedora/vdsm/upstream/vdsm-4.18.999/tests'
> Makefile:993: recipe for target 'check-recursive' failed
> make[1]: *** [check-recursive] Error 1
> make[1]: Leaving directory '/home/fedora/vdsm/upstream/vdsm-4.18.999/tests'
> Makefile:1017: recipe for target 'tests' failed
> make: *** [tests] Error 2
> 
> =========
> 
> Additional comments:
> 
> * You can remove the lines below because it's deprecated/obsolete:
>      rm -rf %{buildroot}
>      %defattr(-, root, root, -)
> 

removed 

> * Update the changelog everything you update the spec

This is the upstream code, but I'll start to maintain this change-log as well.

Comment 5 Yaniv Bronhaim 2016-08-07 13:51:35 UTC
There was an error because of the "rm -rf %{buildroot}" removal 
The following works:
Spec URL: bronhaim.fedorapeople.org/vdsm.spec
SRPM URL: vdsm-4.18.999-380.git4ffbc97.fc23.src.rpm

Comment 6 Yaniv Bronhaim 2016-08-09 14:16:41 UTC
Spec URL: bronhaim.fedorapeople.org/vdsm.spec
SRPM URL: bronhaim.fedorapeople.org/vdsm-4.18.999-394.gite1e83e3.fc23.src.rpm

Comment 7 Douglas Schilling Landgraf 2016-08-09 15:16:36 UTC
I am still reviewing the spec but for now, please adjust:

In install session:

#1 Still see "rm -rf %{buildroot}"

#2 Use %{?_smp_mflags}
make %{?_smp_mflags} DESTDIR=%{buildroot} install

#3 You can remove the clean 
%clean
rm -rf %{buildroot}

I don't see any failure when updating to it.

Comment 8 Douglas Schilling Landgraf 2016-08-09 16:01:25 UTC
Could you please check this item below?

For example, will work vdsm-cli in any version of vdsm? If requires the same version, please include the Requires.

[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in vdsm-cli
     , vdsm-xmlrpc , vdsm-api , vdsm-jsonrpc , vdsm-yajsonrpc , vdsm-python
     , vdsm-tests , vdsm-hook-allocate_net , vdsm-hook-checkimages , vdsm-
     hook-checkips , vdsm-hook-diskunmap , vdsm-hook-ethtool-options ,
     vdsm-hook-extra-ipv4-addrs , vdsm-hook-vhostmd , vdsm-hook-faqemu ,
     vdsm-hook-macbind , vdsm-hook-macspoof , vdsm-hook-noipspoof , vdsm-
     hook-extnet , vdsm-hook-fakevmstats , vdsm-hook-fakesriov , vdsm-hook-
     fileinject , vdsm-hook-floppy , vdsm-hook-hostusb , vdsm-hook-
     httpsisoboot , vdsm-hook-hugepages , vdsm-hook-isolatedprivatevlan ,
     vdsm-hook-nestedvt , vdsm-hook-numa , vdsm-hook-openstacknet , vdsm-
     hook-ovs , vdsm-hook-pincpu , vdsm-hook-promisc , vdsm-hook-
     qemucmdline , vdsm-hook-qos , vdsm-hook-scratchpad , vdsm-hook-smbios
     , vdsm-hook-spiceoptions , vdsm-hook-vmfex , vdsm-hook-vmfex-dev ,
     vdsm-hook-vmdisk , vdsm-hook-ipv6 , vdsm-hook-fcoe , vdsm-gluster

Comment 9 Yaniv Bronhaim 2016-08-09 16:19:02 UTC
Spec URL: bronhaim.fedorapeople.org/vdsm.spec
SRPM URL: bronhaim.fedorapeople.org/vdsm-4.18.999-396.gitfb69df9.fc23.src.rpm

Comment 10 Douglas Schilling Landgraf 2016-08-09 17:27:24 UTC
Package re-approved.

This package has been in Fedora for long time and current maintainers are responsive. Unfortunately, it got retired because one of dep. package was broken. Additionally, VDSM is very important for the oVirt ecosystem. 

* I see some false positive in rpmlint, as example, %dir statement has been
  used and still complains about dir used but not owned.
* rpmlint complains about explicit-lib-dependency but such package doesn't get installed if removed from spec.
* wrong-script-interpreter even using /usr/bin/env python
* Incorrect spelling-error warning

Additional item, patch sent to upstream:
Please remove deprecated:
  BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

* My final suggestion, use jenkins job to run fedora-review tool weekly and keep the eye on it to find improvements needed, deprecated keys, warnings or errors.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "Unknown or generated", "MIT/X11 (BSD
     like)", "PSF (v2;)", "*No copyright* GPL (v2 or later)", "GPL (v2)".
     106 files have unknown license. Detailed output of licensecheck in
     /home/fedora/vdsm/licensecheck.txt
[X]: License file installed when any subpackage combination is installed.
[X]: Package requires other packages for directories it uses.
     Note: No known owner of /rhev, /usr/share/vdsm/storage/sdm,
     /usr/lib64/udev/rules.d, /usr/lib64/udev, /usr/lib64/systemd,
     /etc/vdsm/logrotate, /usr/lib/python2.7/site-packages/sos,
     /usr/lib/python2.7/site-packages/sos/plugins, /etc/libvirt/hooks,
     /usr/share/vdsm/storage/sdm/api, /usr/lib64/systemd/system-preset,
     /etc/systemd/system/libvirtd.service.d, /usr/lib/python2.7/site-
     packages/api
[X]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/libexec/vdsm,
     /usr/libexec/vdsm/hooks/before_vm_destroy, /etc/cron.hourly,
     /usr/libexec/vdsm/hooks/after_vm_start,
     /usr/share/vdsm/storage/sdm/api, /etc/libvirt/hooks,
     /usr/libexec/vdsm/hooks/before_vm_migrate_destination,
     /usr/libexec/vdsm/hooks,
     /usr/libexec/vdsm/hooks/before_vm_migrate_source,
     /usr/libexec/vdsm/hooks/after_nic_hotunplug, /usr/lib64/systemd
     /system-preset, /usr/share/vdsm/storage/sdm,
     /etc/systemd/system/libvirtd.service.d, /usr/lib64/systemd,
     /etc/modprobe.d, /etc/vdsm/logrotate,
     /usr/libexec/vdsm/hooks/after_nic_hotplug,
     /usr/libexec/vdsm/hooks/after_device_destroy,
     /usr/share/polkit-1/rules.d, /rhev, /usr/lib64/udev/rules.d,
     /usr/lib/python2.7/site-packages/vdsm/gluster, /etc/sudoers.d,
     /usr/libexec/vdsm/hooks/before_nic_hotplug, /usr/lib/systemd/system,
     /etc/libvirt/nwfilter, /etc/libvirt, /usr/lib/systemd,
     /usr/libexec/vdsm/hooks/after_device_create,
     /usr/libexec/vdsm/hooks/before_device_migrate_destination,
     /usr/libexec/vdsm/hooks/before_device_create,
     /usr/libexec/vdsm/hooks/before_vm_dehibernate,
     /usr/libexec/vdsm/hooks/after_network_setup, /usr/lib/python2.7/site-
     packages/api, /usr/libexec/vdsm/hooks/after_vm_destroy,
     /usr/lib/python2.7/site-packages/sos, /usr/lib64/udev,
     /usr/lib/python2.7/site-packages/sos/plugins,
     /usr/libexec/vdsm/hooks/before_vm_start,
     /usr/libexec/vdsm/hooks/after_device_migrate_destination
[X]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /etc/modprobe.d(kmod)
[X]: %build honors applicable compiler flags or justifies otherwise.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[X]: Each %files section contains %defattr if rpm < 4.4
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[X]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[X]: Package contains systemd file(s) if in need.
[X]: Useful -debuginfo package or justification otherwise.
[X]: Package is not known to require an ExcludeArch tag.
[X]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[X]: Python eggs must not download any dependencies during the build
     process.
[X]: A package which is used by another package via an egg interface should
     provide egg info.
[X]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[X]: Uses parallel make %{?_smp_mflags} macro.
It uses in install session
[X]: Buildroot is not present
Used to create pre-defined files
[X]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[X]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in vdsm-cli
     , vdsm-xmlrpc , vdsm-api , vdsm-jsonrpc , vdsm-yajsonrpc , vdsm-python
     , vdsm-tests , vdsm-hook-allocate_net , vdsm-hook-checkimages , vdsm-
     hook-checkips , vdsm-hook-diskunmap , vdsm-hook-ethtool-options ,
     vdsm-hook-extra-ipv4-addrs , vdsm-hook-vhostmd , vdsm-hook-faqemu ,
     vdsm-hook-macbind , vdsm-hook-macspoof , vdsm-hook-noipspoof , vdsm-
     hook-extnet , vdsm-hook-fakevmstats , vdsm-hook-fakesriov , vdsm-hook-
     fileinject , vdsm-hook-floppy , vdsm-hook-hostusb , vdsm-hook-
     httpsisoboot , vdsm-hook-hugepages , vdsm-hook-isolatedprivatevlan ,
     vdsm-hook-nestedvt , vdsm-hook-numa , vdsm-hook-openstacknet , vdsm-
     hook-ovs , vdsm-hook-pincpu , vdsm-hook-promisc , vdsm-hook-
     qemucmdline , vdsm-hook-qos , vdsm-hook-scratchpad , vdsm-hook-smbios
     , vdsm-hook-spiceoptions , vdsm-hook-vmfex , vdsm-hook-vmfex-dev ,
     vdsm-hook-vmdisk , vdsm-hook-ipv6 , vdsm-hook-fcoe , vdsm-gluster
[X]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[X]: Scriptlets must be sane, if used.
[X]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[X]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: Package should compile and build into binary rpms on all supported
     architectures.
[X]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed
     files.
[X]: Files in /run, var/run and /var/lock uses tmpfiles.d when appropriate
[x]: Reviewer should test that the package builds in mock.
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[X]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 2897920 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: vdsm-4.18.999-396.gitfb69df9.fc24.x86_64.rpm
          vdsm-cli-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-xmlrpc-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-api-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-jsonrpc-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-yajsonrpc-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-python-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-tests-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-hook-allocate_net-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-hook-checkimages-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-hook-checkips-4.18.999-396.gitfb69df9.fc24.x86_64.rpm
          vdsm-hook-diskunmap-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-hook-ethtool-options-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-hook-extra-ipv4-addrs-4.18.999-396.gitfb69df9.fc24.x86_64.rpm
          vdsm-hook-vhostmd-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-hook-faqemu-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-hook-macbind-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-hook-macspoof-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-hook-noipspoof-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-hook-extnet-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-hook-fakevmstats-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-hook-fakesriov-4.18.999-396.gitfb69df9.fc24.x86_64.rpm
          vdsm-hook-fileinject-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-hook-floppy-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-hook-hostusb-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-hook-httpsisoboot-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-hook-hugepages-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-hook-isolatedprivatevlan-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-hook-nestedvt-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-hook-numa-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-hook-openstacknet-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-hook-ovs-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-hook-pincpu-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-hook-promisc-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-hook-qemucmdline-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-hook-qos-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-hook-scratchpad-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-hook-smbios-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-hook-spiceoptions-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-hook-vmfex-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-hook-vmfex-dev-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-hook-vmdisk-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-hook-ipv6-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-hook-fcoe-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-gluster-4.18.999-396.gitfb69df9.fc24.noarch.rpm
          vdsm-4.18.999-396.gitfb69df9.fc24.src.rpm
vdsm.x86_64: E: explicit-lib-dependency libnl3
vdsm.x86_64: E: explicit-lib-dependency libvirt-client
vdsm.x86_64: E: explicit-lib-dependency libvirt-daemon-config-nwfilter
vdsm.x86_64: E: explicit-lib-dependency libvirt-lock-sanlock
vdsm.x86_64: W: incoherent-version-in-changelog 4.18.999 ['4.18.999-396.gitfb69df9.fc24', '4.18.999-396.gitfb69df9']
vdsm.x86_64: W: obsolete-not-provided vdsm-infra
vdsm.x86_64: E: no-binary
vdsm.x86_64: W: conffile-without-noreplace-flag /var/log/vdsm/mom.log
vdsm.x86_64: W: conffile-without-noreplace-flag /var/log/vdsm/vdsm.log
vdsm.x86_64: W: conffile-without-noreplace-flag /var/log/vdsm/connectivity.log
vdsm.x86_64: W: conffile-without-noreplace-flag /var/log/vdsm/supervdsm.log
vdsm.x86_64: E: dir-or-file-in-var-run /var/run/vdsm
vdsm.x86_64: E: zero-length /etc/vdsm/mom.d/01-parameters.policy
vdsm.x86_64: W: non-conffile-in-etc /etc/modprobe.d/vdsm-bonding-modprobe.conf
vdsm.x86_64: E: dir-or-file-in-var-run /var/run/vdsm/sourceRoutes
vdsm.x86_64: W: non-conffile-in-etc /etc/security/limits.d/99-vdsm.conf
vdsm.x86_64: W: non-conffile-in-etc /etc/sudoers.d/50_vdsm
vdsm.x86_64: W: non-conffile-in-etc /etc/systemd/system/libvirtd.service.d/unlimited-core.conf
vdsm.x86_64: E: dir-or-file-in-var-run /var/run/vdsm/v2v
vdsm.x86_64: E: wrong-script-interpreter /usr/libexec/vdsm/kvm2ovirt /usr/bin/env python
vdsm.x86_64: E: non-readable /etc/pki/vdsm/keys/libvirt_password 600
vdsm.x86_64: E: non-standard-dir-perm /var/lib/libvirt/qemu/channels 775
vdsm.x86_64: E: dir-or-file-in-var-run /var/run/vdsm/trackedInterfaces
vdsm.x86_64: E: dir-or-file-in-var-run /var/run/vdsm/payload
vdsm.x86_64: W: log-files-without-logrotate ['/var/log/vdsm']
vdsm.x86_64: W: dangerous-command-in-%pre rpm
vdsm.x86_64: W: dangerous-command-in-%post chmod
vdsm-cli.noarch: W: non-conffile-in-etc /etc/bash_completion.d/vdsClient
vdsm-xmlrpc.noarch: W: spelling-error %description -l en_US vdsmd 
vdsm-xmlrpc.noarch: W: spelling-error %description -l en_US ovirt -> overt
vdsm-xmlrpc.noarch: W: spelling-error %description -l en_US vdsClient -> clientele
vdsm-xmlrpc.noarch: W: no-documentation
vdsm-api.noarch: W: no-documentation
vdsm-api.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/api/vdsmapi.py /usr/bin/env python
vdsm-api.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/api/vdsmapi.py 644 /usr/bin/env python
vdsm-jsonrpc.noarch: W: spelling-error %description -l en_US libvdsm -> liberalism
vdsm-jsonrpc.noarch: W: obsolete-not-provided vdsm-api
vdsm-jsonrpc.noarch: W: no-documentation
vdsm-yajsonrpc.noarch: W: no-documentation
vdsm-python.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/vdsm/tool/dummybr.py 644 /usr/bin/python 
vdsm-python.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/vdsm/tool/nwfilter.py 644 /usr/bin/python 
vdsm-python.noarch: W: dangerous-command-in-%post rm
vdsm-tests.noarch: E: wrong-script-interpreter /usr/share/vdsm/tests/fake-virt-v2v /usr/bin/env python
vdsm-tests.noarch: E: non-executable-script /usr/share/vdsm/tests/fake-virt-v2v 644 /usr/bin/env python
vdsm-tests.noarch: E: non-executable-script /usr/share/vdsm/tests/alignmentScanTests.py 644 /usr/bin/python 
vdsm-tests.noarch: E: zero-length /usr/share/vdsm/tests/toolTests_empty.conf
vdsm-tests.noarch: E: wrong-script-interpreter /usr/share/vdsm/tests/fake-ssh-agent /usr/bin/env python
vdsm-tests.noarch: E: non-executable-script /usr/share/vdsm/tests/fake-ssh-agent 644 /usr/bin/env python
vdsm-tests.noarch: E: wrong-script-interpreter /usr/share/vdsm/tests/fake-ssh-add /usr/bin/env python
vdsm-tests.noarch: E: non-executable-script /usr/share/vdsm/tests/fake-ssh-add 644 /usr/bin/env python
vdsm-hook-allocate_net.noarch: W: summary-not-capitalized C random_network allocation hook for VDSM
vdsm-hook-allocate_net.noarch: W: spelling-error %description -l en_US vms -> vs, ms, ems
vdsm-hook-allocate_net.noarch: W: no-documentation
vdsm-hook-allocate_net.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/before_device_create/10_allocate_net /usr/bin/env python
vdsm-hook-checkimages.noarch: W: no-documentation
vdsm-hook-checkips.x86_64: W: no-documentation
vdsm-hook-checkips.x86_64: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/after_get_stats/10_checkips /usr/bin/env python
vdsm-hook-checkips.x86_64: E: non-executable-script /usr/libexec/vdsm/hooks/after_get_stats/checkips_utils.py 644 /usr/bin/python 
vdsm-hook-diskunmap.noarch: W: spelling-error Summary(en_US) lun -> loon, lung, sun
vdsm-hook-diskunmap.noarch: W: no-documentation
vdsm-hook-diskunmap.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/before_vm_start/50_diskunmap /usr/bin/env python2
vdsm-hook-ethtool-options.noarch: W: spelling-error Summary(en_US) nics -> incs, mics, nicks
vdsm-hook-ethtool-options.noarch: W: spelling-error %description -l en_US nics -> incs, mics, nicks
vdsm-hook-ethtool-options.noarch: W: no-documentation
vdsm-hook-ethtool-options.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/after_network_setup/30_ethtool_options /usr/bin/env python
vdsm-hook-extra-ipv4-addrs.x86_64: W: summary-ended-with-dot C Set extra ipv4 addresses for vdsm networks.
vdsm-hook-extra-ipv4-addrs.x86_64: W: no-documentation
vdsm-hook-extra-ipv4-addrs.x86_64: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/after_network_setup/40_extra_ipv4_addrs /usr/bin/env python
vdsm-hook-vhostmd.noarch: W: no-documentation
vdsm-hook-vhostmd.noarch: E: non-readable /etc/sudoers.d/50_vdsm_hook_vhostmd 440
vdsm-hook-vhostmd.noarch: W: non-conffile-in-etc /etc/sudoers.d/50_vdsm_hook_vhostmd
vdsm-hook-faqemu.noarch: W: spelling-error Summary(en_US) qemu -> emu, q emu
vdsm-hook-faqemu.noarch: W: spelling-error %description -l en_US kvm -> km
vdsm-hook-faqemu.noarch: W: spelling-error %description -l en_US conf -> con, cone, cons
vdsm-hook-faqemu.noarch: W: spelling-error %description -l en_US ovirt -> overt
vdsm-hook-faqemu.noarch: W: no-documentation
vdsm-hook-macbind.noarch: W: spelling-error Summary(en_US) vNIC -> Venice
vdsm-hook-macbind.noarch: W: spelling-error %description -l en_US vNIC -> Venice
vdsm-hook-macbind.noarch: W: no-documentation
vdsm-hook-macbind.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/before_vm_start/50_macbind /usr/bin/env python2
vdsm-hook-macspoof.noarch: W: spelling-error %description -l en_US vnics -> conics
vdsm-hook-macspoof.noarch: W: no-documentation
vdsm-hook-noipspoof.noarch: W: no-documentation
vdsm-hook-extnet.noarch: W: spelling-error Summary(en_US) vNIC -> Venice
vdsm-hook-extnet.noarch: W: spelling-error Summary(en_US) libvirt -> liberty
vdsm-hook-extnet.noarch: W: spelling-error %description -l en_US vNIC -> Venice
vdsm-hook-extnet.noarch: W: spelling-error %description -l en_US libvirt -> liberty
vdsm-hook-extnet.noarch: W: spelling-error %description -l en_US oVirt -> overt
vdsm-hook-extnet.noarch: W: spelling-error %description -l en_US openvswitch -> switchboard
vdsm-hook-extnet.noarch: W: no-documentation
vdsm-hook-fakevmstats.noarch: W: spelling-error %description -l en_US vmstats -> stats
vdsm-hook-fakevmstats.noarch: W: spelling-error %description -l en_US conf -> con, cone, cons
vdsm-hook-fakevmstats.noarch: W: no-documentation
vdsm-hook-fakesriov.x86_64: W: spelling-error %description -l en_US hostdevListByCaps 
vdsm-hook-fakesriov.x86_64: W: spelling-error %description -l en_US sriov -> Rios
vdsm-hook-fakesriov.x86_64: W: spelling-error %description -l en_US conf -> con, cone, cons
vdsm-hook-fakesriov.x86_64: W: no-documentation
vdsm-hook-fileinject.noarch: W: no-documentation
vdsm-hook-floppy.noarch: W: no-documentation
vdsm-hook-hostusb.noarch: W: no-documentation
vdsm-hook-hostusb.noarch: E: non-readable /etc/sudoers.d/50_vdsm_hook_hostusb 440
vdsm-hook-hostusb.noarch: W: non-conffile-in-etc /etc/sudoers.d/50_vdsm_hook_hostusb
vdsm-hook-httpsisoboot.noarch: W: spelling-error Summary(en_US) https -> HTTP
vdsm-hook-httpsisoboot.noarch: W: spelling-error %description -l en_US https -> HTTP
vdsm-hook-httpsisoboot.noarch: W: spelling-error %description -l en_US http -> HTTP
vdsm-hook-httpsisoboot.noarch: W: no-documentation
vdsm-hook-hugepages.noarch: W: summary-ended-with-dot C Huge pages enable user to handle VM with 2048KB page files.
vdsm-hook-hugepages.noarch: W: no-documentation
vdsm-hook-hugepages.noarch: E: non-readable /etc/sudoers.d/50_vdsm_hook_hugepages 440
vdsm-hook-hugepages.noarch: W: non-conffile-in-etc /etc/sudoers.d/50_vdsm_hook_hugepages
vdsm-hook-isolatedprivatevlan.noarch: W: spelling-error %description -l en_US ip -> pi, up, op
vdsm-hook-isolatedprivatevlan.noarch: W: spelling-error %description -l en_US filterref -> filter ref, filter-ref, filterer
vdsm-hook-isolatedprivatevlan.noarch: W: spelling-error %description -l en_US xml -> XML, ml, x ml
vdsm-hook-isolatedprivatevlan.noarch: W: no-documentation
vdsm-hook-isolatedprivatevlan.noarch: E: executable-marked-as-config-file /etc/libvirt/nwfilter/isolatedprivatevlan-vdsm.xml
vdsm-hook-isolatedprivatevlan.noarch: E: script-without-shebang /etc/libvirt/nwfilter/isolatedprivatevlan-vdsm.xml
vdsm-hook-nestedvt.noarch: W: spelling-error %description -l en_US virtualization -> visualization, actualization, vitalization
vdsm-hook-nestedvt.noarch: W: spelling-error %description -l en_US kvm -> km
vdsm-hook-nestedvt.noarch: W: no-documentation
vdsm-hook-nestedvt.noarch: W: non-conffile-in-etc /etc/modprobe.d/vdsm-nestedvt.conf
vdsm-hook-numa.noarch: W: spelling-error %description -l en_US xml -> XML, ml, x ml
vdsm-hook-numa.noarch: W: no-documentation
vdsm-hook-openstacknet.noarch: W: spelling-error Summary(en_US) vNICs -> conics
vdsm-hook-openstacknet.noarch: W: spelling-error %description -l en_US vNICs -> conics
vdsm-hook-openstacknet.noarch: W: no-documentation
vdsm-hook-openstacknet.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/before_device_migrate_destination/50_openstacknet /usr/bin/env python
vdsm-hook-openstacknet.noarch: E: non-readable /etc/sudoers.d/50_vdsm_hook_openstacknet 440
vdsm-hook-openstacknet.noarch: W: non-conffile-in-etc /etc/sudoers.d/50_vdsm_hook_openstacknet
vdsm-hook-ovs.noarch: W: spelling-error Summary(en_US) vSwitch -> v Switch, switch, vs witch
vdsm-hook-ovs.noarch: W: spelling-error %description -l en_US vSwitch -> v Switch, switch, vs witch
vdsm-hook-ovs.noarch: W: no-documentation
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/before_device_create/ovs_utils.py /usr/bin/env python
vdsm-hook-ovs.noarch: W: non-conffile-in-etc /etc/sudoers.d/50_vdsm_hook_ovs
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/before_network_setup/ovs_setup_ovs.py /usr/bin/env python
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/before_device_create/50_ovs /usr/bin/env python
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/after_network_setup_fail/50_ovs /usr/bin/env python
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/before_nic_hotplug/ovs_utils.py /usr/bin/env python
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/before_network_setup/ovs_setup_libvirt.py /usr/bin/env python
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/before_network_setup/ovs_utils.py /usr/bin/env python
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/before_nic_hotplug/50_ovs /usr/bin/env python
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/after_get_caps/50_ovs /usr/bin/env python
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/after_network_setup_fail/ovs_utils.py /usr/bin/env python
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/after_get_stats/ovs_utils.py /usr/bin/env python
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/ovs_utils.py /usr/bin/env python
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/before_network_setup/50_ovs /usr/bin/env python
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/after_network_setup/ovs_utils.py /usr/bin/env python
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/after_network_setup/50_ovs /usr/bin/env python
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/ovs_migrate.py /usr/bin/env python
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/before_network_setup/ovs_setup_mtu.py /usr/bin/env python
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/after_get_caps/ovs_utils.py /usr/bin/env python
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/after_get_stats/50_ovs /usr/bin/env python
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/before_network_setup/ovs_setup_ip.py /usr/bin/env python
vdsm-hook-pincpu.noarch: W: no-documentation
vdsm-hook-promisc.noarch: W: no-documentation
vdsm-hook-promisc.noarch: E: non-readable /etc/sudoers.d/50_vdsm_hook_promisc 440
vdsm-hook-promisc.noarch: W: non-conffile-in-etc /etc/sudoers.d/50_vdsm_hook_promisc
vdsm-hook-qemucmdline.noarch: W: spelling-error Summary(en_US) cmdline -> decline
vdsm-hook-qemucmdline.noarch: W: spelling-error %description -l en_US cmdline -> decline
vdsm-hook-qemucmdline.noarch: W: spelling-error %description -l en_US libvirt's -> liberty's
vdsm-hook-qemucmdline.noarch: W: spelling-error %description -l en_US qemu -> emu, q emu
vdsm-hook-qemucmdline.noarch: W: spelling-error %description -l en_US commandline -> command line, command-line, commandment
vdsm-hook-qemucmdline.noarch: W: spelling-error %description -l en_US xml -> XML, ml, x ml
vdsm-hook-qemucmdline.noarch: W: spelling-error %description -l en_US namespace -> name space, name-space, names pace
vdsm-hook-qemucmdline.noarch: W: no-documentation
vdsm-hook-qos.noarch: W: no-documentation
vdsm-hook-scratchpad.noarch: W: no-documentation
vdsm-hook-smbios.noarch: W: spelling-error Summary(en_US) libvirt -> liberty
vdsm-hook-smbios.noarch: W: spelling-error %description -l en_US libvirt -> liberty
vdsm-hook-smbios.noarch: W: no-documentation
vdsm-hook-spiceoptions.noarch: W: spelling-error Summary(en_US) vm -> cm, v, m
vdsm-hook-spiceoptions.noarch: W: no-documentation
vdsm-hook-vmfex.noarch: W: summary-not-capitalized C vmfex support for VDSM
vdsm-hook-vmfex.noarch: W: no-documentation
vdsm-hook-vmfex-dev.noarch: W: spelling-error Summary(en_US) vNIC -> Venice
vdsm-hook-vmfex-dev.noarch: W: spelling-error %description -l en_US vNIC -> Venice
vdsm-hook-vmfex-dev.noarch: W: spelling-error %description -l en_US macvtap -> madcap
vdsm-hook-vmfex-dev.noarch: W: no-documentation
vdsm-hook-vmdisk.noarch: W: no-documentation
vdsm-hook-ipv6.noarch: W: no-documentation
vdsm-hook-ipv6.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/before_network_setup/50_ipv6 /usr/bin/env python
vdsm-hook-fcoe.noarch: W: only-non-binary-in-usr-lib
vdsm-hook-fcoe.noarch: W: no-documentation
vdsm-hook-fcoe.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/before_network_setup/50_fcoe /bin/env python
vdsm-gluster.noarch: W: spelling-error %description -l en_US functionalities -> functionalists, functionality, functionalist
vdsm-gluster.noarch: W: no-documentation
vdsm.src:1479: W: libdir-macro-in-noarch-package hook-fcoe %{_libdir}/systemd/system-preset/85-vdsm-hook-fcoe.preset
vdsm.src: W: invalid-url Source0: vdsm-4.18.999.tar.gz
46 packages and 0 specfiles checked; 63 errors, 124 warnings.




Rpmlint (installed packages)
----------------------------
vdsm-hook-promisc.noarch: W: no-documentation
vdsm-hook-promisc.noarch: E: non-readable /etc/sudoers.d/50_vdsm_hook_promisc 440
vdsm-hook-promisc.noarch: W: non-conffile-in-etc /etc/sudoers.d/50_vdsm_hook_promisc
vdsm-hook-fileinject.noarch: W: no-documentation
vdsm-gluster.noarch: W: spelling-error %description -l en_US functionalities -> functionalists, functionality, functionalist
vdsm-gluster.noarch: W: no-documentation
vdsm-hook-hugepages.noarch: W: summary-ended-with-dot C Huge pages enable user to handle VM with 2048KB page files.
vdsm-hook-hugepages.noarch: W: no-documentation
vdsm-hook-hugepages.noarch: E: non-readable /etc/sudoers.d/50_vdsm_hook_hugepages 440
vdsm-hook-hugepages.noarch: W: non-conffile-in-etc /etc/sudoers.d/50_vdsm_hook_hugepages
vdsm.x86_64: E: explicit-lib-dependency libnl3
vdsm.x86_64: E: explicit-lib-dependency libvirt-client
vdsm.x86_64: E: explicit-lib-dependency libvirt-daemon-config-nwfilter
vdsm.x86_64: E: explicit-lib-dependency libvirt-lock-sanlock
vdsm.x86_64: W: incoherent-version-in-changelog 4.18.999 ['4.18.999-396.gitfb69df9.fc24', '4.18.999-396.gitfb69df9']
vdsm.x86_64: W: obsolete-not-provided vdsm-infra
vdsm.x86_64: E: no-binary
vdsm.x86_64: W: conffile-without-noreplace-flag /var/log/vdsm/supervdsm.log
vdsm.x86_64: W: conffile-without-noreplace-flag /var/log/vdsm/vdsm.log
vdsm.x86_64: W: conffile-without-noreplace-flag /var/log/vdsm/mom.log
vdsm.x86_64: W: conffile-without-noreplace-flag /var/log/vdsm/connectivity.log
vdsm.x86_64: W: non-conffile-in-etc /etc/modprobe.d/vdsm-bonding-modprobe.conf
vdsm.x86_64: W: non-conffile-in-etc /etc/sudoers.d/50_vdsm
vdsm.x86_64: E: dir-or-file-in-var-run /var/run/vdsm/sourceRoutes
vdsm.x86_64: E: wrong-script-interpreter /usr/libexec/vdsm/kvm2ovirt /usr/bin/env python
vdsm.x86_64: E: non-readable /etc/pki/vdsm/keys/libvirt_password 600
vdsm.x86_64: W: non-conffile-in-etc /etc/security/limits.d/99-vdsm.conf
vdsm.x86_64: W: non-conffile-in-etc /etc/systemd/system/libvirtd.service.d/unlimited-core.conf
vdsm.x86_64: E: dir-or-file-in-var-run /var/run/vdsm
vdsm.x86_64: E: dir-or-file-in-var-run /var/run/vdsm/trackedInterfaces
vdsm.x86_64: E: dir-or-file-in-var-run /var/run/vdsm/v2v
vdsm.x86_64: E: zero-length /etc/vdsm/mom.d/01-parameters.policy
vdsm.x86_64: E: non-standard-dir-perm /var/lib/libvirt/qemu/channels 775
vdsm.x86_64: E: dir-or-file-in-var-run /var/run/vdsm/payload
vdsm.x86_64: W: log-files-without-logrotate ['/var/log/vdsm']
vdsm.x86_64: W: dangerous-command-in-%pre rpm
vdsm.x86_64: W: dangerous-command-in-%post chmod
vdsm-cli.noarch: W: non-conffile-in-etc /etc/bash_completion.d/vdsClient
vdsm-hook-spiceoptions.noarch: W: spelling-error Summary(en_US) vm -> cm, v, m
vdsm-hook-spiceoptions.noarch: W: no-documentation
vdsm-hook-fcoe.noarch: W: only-non-binary-in-usr-lib
vdsm-hook-fcoe.noarch: W: no-documentation
vdsm-hook-fcoe.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/before_network_setup/50_fcoe /bin/env python
vdsm-hook-openstacknet.noarch: W: spelling-error Summary(en_US) vNICs -> conics
vdsm-hook-openstacknet.noarch: W: spelling-error %description -l en_US vNICs -> conics
vdsm-hook-openstacknet.noarch: W: no-documentation
vdsm-hook-openstacknet.noarch: E: non-readable /etc/sudoers.d/50_vdsm_hook_openstacknet 440
vdsm-hook-openstacknet.noarch: W: non-conffile-in-etc /etc/sudoers.d/50_vdsm_hook_openstacknet
vdsm-hook-openstacknet.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/before_device_migrate_destination/50_openstacknet /usr/bin/env python
vdsm-hook-scratchpad.noarch: W: no-documentation
vdsm-hook-httpsisoboot.noarch: W: spelling-error Summary(en_US) https -> HTTP
vdsm-hook-httpsisoboot.noarch: W: spelling-error %description -l en_US https -> HTTP
vdsm-hook-httpsisoboot.noarch: W: spelling-error %description -l en_US http -> HTTP
vdsm-hook-httpsisoboot.noarch: W: no-documentation
vdsm-hook-faqemu.noarch: W: spelling-error Summary(en_US) qemu -> emu, q emu
vdsm-hook-faqemu.noarch: W: spelling-error %description -l en_US kvm -> km
vdsm-hook-faqemu.noarch: W: spelling-error %description -l en_US conf -> con, cone, cons
vdsm-hook-faqemu.noarch: W: spelling-error %description -l en_US ovirt -> overt
vdsm-hook-faqemu.noarch: W: no-documentation
vdsm-hook-macspoof.noarch: W: spelling-error %description -l en_US vnics -> conics
vdsm-hook-macspoof.noarch: W: no-documentation
vdsm-jsonrpc.noarch: W: spelling-error %description -l en_US libvdsm -> liberalism
vdsm-jsonrpc.noarch: W: obsolete-not-provided vdsm-api
vdsm-jsonrpc.noarch: W: no-documentation
vdsm-hook-numa.noarch: W: spelling-error %description -l en_US xml -> XML, ml, x ml
vdsm-hook-numa.noarch: W: no-documentation
vdsm-hook-pincpu.noarch: W: no-documentation
vdsm-hook-ipv6.noarch: W: no-documentation
vdsm-hook-ipv6.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/before_network_setup/50_ipv6 /usr/bin/env python
vdsm-hook-vmfex-dev.noarch: W: spelling-error Summary(en_US) vNIC -> Venice
vdsm-hook-vmfex-dev.noarch: W: spelling-error %description -l en_US vNIC -> Venice
vdsm-hook-vmfex-dev.noarch: W: spelling-error %description -l en_US macvtap -> madcap
vdsm-hook-vmfex-dev.noarch: W: no-documentation
vdsm-hook-checkimages.noarch: W: no-documentation
vdsm-tests.noarch: E: wrong-script-interpreter /usr/share/vdsm/tests/fake-ssh-agent /usr/bin/env python
vdsm-tests.noarch: E: non-executable-script /usr/share/vdsm/tests/fake-ssh-agent 644 /usr/bin/env python
vdsm-tests.noarch: E: zero-length /usr/share/vdsm/tests/toolTests_empty.conf
vdsm-tests.noarch: E: non-executable-script /usr/share/vdsm/tests/alignmentScanTests.py 644 /usr/bin/python 
vdsm-tests.noarch: E: wrong-script-interpreter /usr/share/vdsm/tests/fake-virt-v2v /usr/bin/env python
vdsm-tests.noarch: E: non-executable-script /usr/share/vdsm/tests/fake-virt-v2v 644 /usr/bin/env python
vdsm-tests.noarch: E: wrong-script-interpreter /usr/share/vdsm/tests/fake-ssh-add /usr/bin/env python
vdsm-tests.noarch: E: non-executable-script /usr/share/vdsm/tests/fake-ssh-add 644 /usr/bin/env python
vdsm-hook-vhostmd.noarch: W: no-documentation
vdsm-hook-vhostmd.noarch: E: non-readable /etc/sudoers.d/50_vdsm_hook_vhostmd 440
vdsm-hook-vhostmd.noarch: W: non-conffile-in-etc /etc/sudoers.d/50_vdsm_hook_vhostmd
vdsm-hook-macbind.noarch: W: spelling-error Summary(en_US) vNIC -> Venice
vdsm-hook-macbind.noarch: W: spelling-error %description -l en_US vNIC -> Venice
vdsm-hook-macbind.noarch: W: no-documentation
vdsm-hook-macbind.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/before_vm_start/50_macbind /usr/bin/env python2
vdsm-hook-extnet.noarch: W: spelling-error Summary(en_US) vNIC -> Venice
vdsm-hook-extnet.noarch: W: spelling-error Summary(en_US) libvirt -> liberty
vdsm-hook-extnet.noarch: W: spelling-error %description -l en_US vNIC -> Venice
vdsm-hook-extnet.noarch: W: spelling-error %description -l en_US libvirt -> liberty
vdsm-hook-extnet.noarch: W: spelling-error %description -l en_US oVirt -> overt
vdsm-hook-extnet.noarch: W: spelling-error %description -l en_US openvswitch -> switchboard
vdsm-hook-extnet.noarch: W: no-documentation
vdsm-hook-ovs.noarch: W: spelling-error Summary(en_US) vSwitch -> v Switch, switch, vs witch
vdsm-hook-ovs.noarch: W: spelling-error %description -l en_US vSwitch -> v Switch, switch, vs witch
vdsm-hook-ovs.noarch: W: no-documentation
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/before_nic_hotplug/50_ovs /usr/bin/env python
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/after_get_caps/50_ovs /usr/bin/env python
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/after_network_setup_fail/50_ovs /usr/bin/env python
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/ovs_migrate.py /usr/bin/env python
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/before_network_setup/50_ovs /usr/bin/env python
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/after_get_stats/50_ovs /usr/bin/env python
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/after_network_setup/50_ovs /usr/bin/env python
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/after_get_caps/ovs_utils.py /usr/bin/env python
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/after_network_setup/ovs_utils.py /usr/bin/env python
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/before_nic_hotplug/ovs_utils.py /usr/bin/env python
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/before_network_setup/ovs_utils.py /usr/bin/env python
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/before_network_setup/ovs_setup_mtu.py /usr/bin/env python
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/after_network_setup_fail/ovs_utils.py /usr/bin/env python
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/before_network_setup/ovs_setup_ovs.py /usr/bin/env python
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/before_device_create/50_ovs /usr/bin/env python
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/before_device_create/ovs_utils.py /usr/bin/env python
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/after_get_stats/ovs_utils.py /usr/bin/env python
vdsm-hook-ovs.noarch: W: non-conffile-in-etc /etc/sudoers.d/50_vdsm_hook_ovs
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/ovs_utils.py /usr/bin/env python
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/before_network_setup/ovs_setup_libvirt.py /usr/bin/env python
vdsm-hook-ovs.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/before_network_setup/ovs_setup_ip.py /usr/bin/env python
vdsm-hook-qos.noarch: W: no-documentation
vdsm-hook-floppy.noarch: W: no-documentation
vdsm-hook-vmdisk.noarch: W: no-documentation
vdsm-hook-extra-ipv4-addrs.x86_64: W: summary-ended-with-dot C Set extra ipv4 addresses for vdsm networks.
vdsm-hook-extra-ipv4-addrs.x86_64: W: no-documentation
vdsm-hook-extra-ipv4-addrs.x86_64: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/after_network_setup/40_extra_ipv4_addrs /usr/bin/env python
vdsm-hook-diskunmap.noarch: W: spelling-error Summary(en_US) lun -> loon, lung, sun
vdsm-hook-diskunmap.noarch: W: no-documentation
vdsm-hook-diskunmap.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/before_vm_start/50_diskunmap /usr/bin/env python2
vdsm-hook-checkips.x86_64: W: no-documentation
vdsm-hook-checkips.x86_64: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/after_get_stats/10_checkips /usr/bin/env python
vdsm-hook-checkips.x86_64: E: non-executable-script /usr/libexec/vdsm/hooks/after_get_stats/checkips_utils.py 644 /usr/bin/python 
vdsm-hook-hostusb.noarch: W: no-documentation
vdsm-hook-hostusb.noarch: E: non-readable /etc/sudoers.d/50_vdsm_hook_hostusb 440
vdsm-hook-hostusb.noarch: W: non-conffile-in-etc /etc/sudoers.d/50_vdsm_hook_hostusb
vdsm-hook-ethtool-options.noarch: W: spelling-error Summary(en_US) nics -> incs, mics, nicks
vdsm-hook-ethtool-options.noarch: W: spelling-error %description -l en_US nics -> incs, mics, nicks
vdsm-hook-ethtool-options.noarch: W: no-documentation
vdsm-hook-ethtool-options.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/after_network_setup/30_ethtool_options /usr/bin/env python
vdsm-hook-noipspoof.noarch: W: no-documentation
vdsm-xmlrpc.noarch: W: spelling-error %description -l en_US vdsmd 
vdsm-xmlrpc.noarch: W: spelling-error %description -l en_US ovirt -> overt
vdsm-xmlrpc.noarch: W: spelling-error %description -l en_US vdsClient -> clientele
vdsm-xmlrpc.noarch: W: no-documentation
vdsm-hook-isolatedprivatevlan.noarch: W: spelling-error %description -l en_US ip -> pi, up, op
vdsm-hook-isolatedprivatevlan.noarch: W: spelling-error %description -l en_US filterref -> filter ref, filter-ref, filterer
vdsm-hook-isolatedprivatevlan.noarch: W: spelling-error %description -l en_US xml -> XML, ml, x ml
vdsm-hook-isolatedprivatevlan.noarch: W: no-documentation
vdsm-hook-isolatedprivatevlan.noarch: E: executable-marked-as-config-file /etc/libvirt/nwfilter/isolatedprivatevlan-vdsm.xml
vdsm-hook-isolatedprivatevlan.noarch: E: script-without-shebang /etc/libvirt/nwfilter/isolatedprivatevlan-vdsm.xml
vdsm-api.noarch: W: no-documentation
vdsm-api.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/api/vdsmapi.py /usr/bin/env python
vdsm-api.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/api/vdsmapi.py 644 /usr/bin/env python
vdsm-hook-nestedvt.noarch: W: spelling-error %description -l en_US virtualization -> visualization, actualization, vitalization
vdsm-hook-nestedvt.noarch: W: spelling-error %description -l en_US kvm -> km
vdsm-hook-nestedvt.noarch: W: no-documentation
vdsm-hook-nestedvt.noarch: W: non-conffile-in-etc /etc/modprobe.d/vdsm-nestedvt.conf
vdsm-hook-fakevmstats.noarch: W: spelling-error %description -l en_US vmstats -> stats
vdsm-hook-fakevmstats.noarch: W: spelling-error %description -l en_US conf -> con, cone, cons
vdsm-hook-fakevmstats.noarch: W: no-documentation
vdsm-hook-qemucmdline.noarch: W: spelling-error Summary(en_US) cmdline -> decline
vdsm-hook-qemucmdline.noarch: W: spelling-error %description -l en_US cmdline -> decline
vdsm-hook-qemucmdline.noarch: W: spelling-error %description -l en_US libvirt's -> liberty's
vdsm-hook-qemucmdline.noarch: W: spelling-error %description -l en_US qemu -> emu, q emu
vdsm-hook-qemucmdline.noarch: W: spelling-error %description -l en_US commandline -> command line, command-line, commandment
vdsm-hook-qemucmdline.noarch: W: spelling-error %description -l en_US xml -> XML, ml, x ml
vdsm-hook-qemucmdline.noarch: W: spelling-error %description -l en_US namespace -> name space, name-space, names pace
vdsm-hook-qemucmdline.noarch: W: no-documentation
vdsm-hook-fakesriov.x86_64: W: spelling-error %description -l en_US hostdevListByCaps 
vdsm-hook-fakesriov.x86_64: W: spelling-error %description -l en_US sriov -> Rios
vdsm-hook-fakesriov.x86_64: W: spelling-error %description -l en_US conf -> con, cone, cons
vdsm-hook-fakesriov.x86_64: W: no-documentation
vdsm-hook-vmfex.noarch: W: summary-not-capitalized C vmfex support for VDSM
vdsm-hook-vmfex.noarch: W: no-documentation
vdsm-python.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/vdsm/tool/dummybr.py 644 /usr/bin/python 
vdsm-python.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/vdsm/tool/nwfilter.py 644 /usr/bin/python 
vdsm-python.noarch: W: dangerous-command-in-%post rm
vdsm-hook-allocate_net.noarch: W: summary-not-capitalized C random_network allocation hook for VDSM
vdsm-hook-allocate_net.noarch: W: spelling-error %description -l en_US vms -> vs, ms, ems
vdsm-hook-allocate_net.noarch: W: no-documentation
vdsm-hook-allocate_net.noarch: E: wrong-script-interpreter /usr/libexec/vdsm/hooks/before_device_create/10_allocate_net /usr/bin/env python
vdsm-yajsonrpc.noarch: W: no-documentation
vdsm-hook-smbios.noarch: W: spelling-error Summary(en_US) libvirt -> liberty
vdsm-hook-smbios.noarch: W: spelling-error %description -l en_US libvirt -> liberty
vdsm-hook-smbios.noarch: W: no-documentation
45 packages and 0 specfiles checked; 63 errors, 122 warnings.



Requires
--------
vdsm-hook-promisc (rpmlib, GLIBC filtered):
    /usr/bin/python

vdsm-hook-fileinject (rpmlib, GLIBC filtered):
    /usr/bin/python
    python-libguestfs

vdsm-gluster (rpmlib, GLIBC filtered):
    glusterfs-api
    glusterfs-geo-replication
    glusterfs-server
    python(abi)
    python-blivet
    python-magic
    vdsm
    xfsprogs

vdsm-hook-hugepages (rpmlib, GLIBC filtered):
    /usr/bin/python

vdsm (rpmlib, GLIBC filtered):
    /bin/bash
    /bin/sh
    /usr/bin/env
    /usr/bin/python
    /usr/sbin/saslpasswd2
    NetworkManager-config-server
    PyYAML
    bridge-utils
    config(vdsm)
    curl
    device-mapper-multipath
    dmidecode
    dosfstools
    e2fsprogs
    ed
    ethtool
    fence-agents-all
    genisoimage
    glusterfs-cli
    glusterfs-fuse
    hostname
    initscripts
    iproute
    iscsi-initiator-utils
    kernel
    libnl3
    libselinux-python
    libvirt-client
    libvirt-daemon-config-nwfilter
    libvirt-daemon-kvm
    libvirt-lock-sanlock
    libvirt-python
    logrotate
    lvm2
    m2crypto
    mom
    nfs-utils
    ntp
    numactl
    openvswitch
    policycoreutils
    policycoreutils-python
    policycoreutils-python-utils
    psmisc
    python
    python(abi)
    python-argparse
    python-cpopen
    python-dmidecode
    python-inotify
    python-ioprocess
    python-netaddr
    python-pthreading
    python-requests
    python-six
    qemu-img
    qemu-kvm
    rpm-python
    safelease
    sanlock
    sanlock-python
    sed
    selinux-policy-targeted
    shadow-utils
    sos
    sudo
    systemd
    tree
    vdsm-hook-vmfex-dev
    vdsm-jsonrpc
    vdsm-python
    vdsm-xmlrpc
    virt-v2v
    which
    xz

vdsm-cli (rpmlib, GLIBC filtered):
    /bin/sh
    vdsm-python
    vdsm-xmlrpc

vdsm-hook-spiceoptions (rpmlib, GLIBC filtered):
    /usr/bin/python

vdsm-hook-fcoe (rpmlib, GLIBC filtered):
    /bin/env
    /bin/sh
    fcoe-utils
    vdsm

vdsm-hook-openstacknet (rpmlib, GLIBC filtered):
    /usr/bin/env
    /usr/bin/python

vdsm-hook-scratchpad (rpmlib, GLIBC filtered):
    /usr/bin/python

vdsm-hook-httpsisoboot (rpmlib, GLIBC filtered):
    /usr/bin/python

vdsm-hook-faqemu (rpmlib, GLIBC filtered):
    /usr/bin/python
    vdsm

vdsm-hook-macspoof (rpmlib, GLIBC filtered):
    /usr/bin/python

vdsm-jsonrpc (rpmlib, GLIBC filtered):
    python(abi)
    vdsm-api
    vdsm-python
    vdsm-yajsonrpc

vdsm-hook-numa (rpmlib, GLIBC filtered):
    /usr/bin/python

vdsm-hook-pincpu (rpmlib, GLIBC filtered):
    /usr/bin/python

vdsm-hook-ipv6 (rpmlib, GLIBC filtered):
    /usr/bin/env
    vdsm

vdsm-hook-vmfex-dev (rpmlib, GLIBC filtered):
    /usr/bin/python
    vdsm

vdsm-hook-checkimages (rpmlib, GLIBC filtered):
    /usr/bin/python
    vdsm

vdsm-tests (rpmlib, GLIBC filtered):
    /bin/sh
    dracut
    python-nose
    vdsm

vdsm-hook-vhostmd (rpmlib, GLIBC filtered):
    /usr/bin/python
    vhostmd

vdsm-hook-macbind (rpmlib, GLIBC filtered):
    /usr/bin/env
    vdsm

vdsm-hook-extnet (rpmlib, GLIBC filtered):
    /usr/bin/python
    vdsm

vdsm-hook-ovs (rpmlib, GLIBC filtered):
    /usr/bin/env
    openvswitch
    vdsm

vdsm-hook-qos (rpmlib, GLIBC filtered):
    /usr/bin/python

vdsm-hook-floppy (rpmlib, GLIBC filtered):
    /usr/bin/python

vdsm-hook-vmdisk (rpmlib, GLIBC filtered):
    /usr/bin/python

vdsm-hook-extra-ipv4-addrs (rpmlib, GLIBC filtered):
    /usr/bin/env

vdsm-hook-diskunmap (rpmlib, GLIBC filtered):
    /usr/bin/env
    qemu-kvm

vdsm-hook-checkips (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/env
    /usr/bin/python
    vdsm

vdsm-hook-hostusb (rpmlib, GLIBC filtered):
    /usr/bin/python
    usbutils

vdsm-hook-ethtool-options (rpmlib, GLIBC filtered):
    /usr/bin/env
    vdsm

vdsm-hook-noipspoof (rpmlib, GLIBC filtered):
    /usr/bin/python2

vdsm-xmlrpc (rpmlib, GLIBC filtered):
    python(abi)
    vdsm-python

vdsm-hook-isolatedprivatevlan (rpmlib, GLIBC filtered):
    /usr/bin/python
    config(vdsm-hook-isolatedprivatevlan)

vdsm-api (rpmlib, GLIBC filtered):
    python(abi)

vdsm-hook-nestedvt (rpmlib, GLIBC filtered):
    /usr/bin/python

vdsm-hook-fakevmstats (rpmlib, GLIBC filtered):
    /usr/bin/python
    vdsm

vdsm-hook-qemucmdline (rpmlib, GLIBC filtered):
    /usr/bin/python
    vdsm

vdsm-hook-fakesriov (rpmlib, GLIBC filtered):
    /usr/bin/python
    vdsm

vdsm-hook-vmfex (rpmlib, GLIBC filtered):
    /usr/bin/python

vdsm-python (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python
    m2crypto
    python(abi)
    python-cpopen
    python-ioprocess
    vdsm-api

vdsm-hook-allocate_net (rpmlib, GLIBC filtered):
    /usr/bin/env
    vdsm

vdsm-yajsonrpc (rpmlib, GLIBC filtered):
    python
    python(abi)

vdsm-hook-smbios (rpmlib, GLIBC filtered):
    /usr/bin/python



Provides
--------
vdsm-hook-promisc:
    vdsm-hook-promisc

vdsm-hook-fileinject:
    vdsm-hook-fileinject

vdsm-gluster:
    vdsm-gluster

vdsm-hook-hugepages:
    vdsm-hook-hugepages

vdsm:
    config(vdsm)
    vdsm
    vdsm(x86-64)

vdsm-cli:
    vdsm-cli

vdsm-hook-spiceoptions:
    vdsm-hook-spiceoptions

vdsm-hook-fcoe:
    vdsm-hook-fcoe

vdsm-hook-openstacknet:
    vdsm-hook-openstacknet

vdsm-hook-scratchpad:
    vdsm-hook-scratchpad

vdsm-hook-httpsisoboot:
    vdsm-hook-httpsisoboot

vdsm-hook-faqemu:
    vdsm-hook-faqemu

vdsm-hook-macspoof:
    vdsm-hook-macspoof

vdsm-jsonrpc:
    vdsm-jsonrpc

vdsm-hook-numa:
    vdsm-hook-numa

vdsm-hook-pincpu:
    vdsm-hook-pincpu

vdsm-hook-ipv6:
    vdsm-hook-ipv6

vdsm-hook-vmfex-dev:
    vdsm-hook-vmfex-dev

vdsm-hook-checkimages:
    vdsm-hook-checkimages

vdsm-tests:
    vdsm-tests

vdsm-hook-vhostmd:
    vdsm-hook-vhostmd

vdsm-hook-macbind:
    vdsm-hook-macbind

vdsm-hook-extnet:
    vdsm-hook-extnet

vdsm-hook-ovs:
    vdsm-hook-ovs

vdsm-hook-qos:
    vdsm-hook-qos

vdsm-hook-floppy:
    vdsm-hook-floppy

vdsm-hook-vmdisk:
    vdsm-hook-vmdisk

vdsm-hook-extra-ipv4-addrs:
    vdsm-hook-extra-ipv4-addrs
    vdsm-hook-extra-ipv4-addrs(x86-64)

vdsm-hook-diskunmap:
    vdsm-hook-diskunmap

vdsm-hook-checkips:
    vdsm-hook-checkips
    vdsm-hook-checkips(x86-64)

vdsm-hook-hostusb:
    vdsm-hook-hostusb

vdsm-hook-ethtool-options:
    vdsm-hook-ethtool-options

vdsm-hook-noipspoof:
    vdsm-hook-noipspoof

vdsm-xmlrpc:
    vdsm-xmlrpc

vdsm-hook-isolatedprivatevlan:
    config(vdsm-hook-isolatedprivatevlan)
    vdsm-hook-isolatedprivatevlan

vdsm-api:
    vdsm-api

vdsm-hook-nestedvt:
    vdsm-hook-nestedvt

vdsm-hook-fakevmstats:
    vdsm-hook-fakevmstats

vdsm-hook-qemucmdline:
    vdsm-hook-qemucmdline

vdsm-hook-fakesriov:
    vdsm-hook-fakesriov
    vdsm-hook-fakesriov(x86-64)

vdsm-hook-vmfex:
    vdsm-hook-vmfex

vdsm-python:
    vdsm-python

vdsm-hook-allocate_net:
    vdsm-hook-allocate_net

vdsm-yajsonrpc:
    vdsm-yajsonrpc

vdsm-hook-smbios:
    vdsm-hook-smbios



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review --rpm-spec -n vdsm-4.18.999-396.gitfb69df9.fc23.src.rpm
Buildroot used: fedora-24-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 11 Yaniv Bronhaim 2016-08-10 17:35:15 UTC
New Package SCM Request
=======================
Package Name: VDSM
Short Description: VDSM service is required by a oVirt to manage Linux hosts. VDSM manages and monitors the host's storage, memory and networks as well as virtual machine creation, other host administration tasks, statistics gathering, and log collection.
Owners: bronhaim
Branches: f23 f24 f25
InitialCC: dougsland

Comment 12 Fedora Update System 2016-08-20 14:36:41 UTC
vdsm-4.18.999-440.git0bb7717.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-91ab48b87c

Comment 13 Yaniv Bronhaim 2016-08-20 18:07:16 UTC
Can you help with f25 branch as well?

Comment 14 Fedora Update System 2016-08-21 04:24:13 UTC
vdsm-4.18.999-440.git0bb7717.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-91ab48b87c

Comment 15 Gwyn Ciesla 2016-08-22 14:45:02 UTC
As package admin you can request the branch in pkgdb and it will be created.

Comment 16 Fedora Update System 2016-08-23 08:18:33 UTC
vdsm-4.18.999-440.git0bb7717.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4df131ccd3

Comment 17 Douglas Schilling Landgraf 2016-08-23 14:21:40 UTC
There is a depends bug, moving back to assign.

Comment 18 Douglas Schilling Landgraf 2016-08-23 14:35:12 UTC
Yaniv, please work on this issue or/and open a ticket in fesco to see their opinion about an exception.

Comment 19 Fedora Update System 2016-08-23 23:21:19 UTC
vdsm-4.18.999-440.git0bb7717.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4df131ccd3

Comment 20 Nir Soffer 2016-08-30 19:40:47 UTC
(In reply to Douglas Schilling Landgraf from comment #17)
> There is a depends bug, moving back to assign.

We cannot fix this bug for 4.0, as this break backward compatibility.

For example, existing setup (e.g. ovirt-3.6) with running vms is using /rhev/*
for all disks:

    /rhev/data-center/pool-id/domain-id/images/image-id/volume-id

During live migrating to a host running new version (e.g. ovirt-4.0), a new
vm is started on the destination host, using the same configuration as the old
vm, meaning the path to the disk will be the same.

If we move /rhev to the proper location (e.g. /run/vdsm/data-center), live vm
migration from older hosts will not be possible. Same issue exists when live
migrating vms from new version using /run/vdsm ot old version using /rhev.

So this change will require stopping running vms and starting them on hosts
using different disk location. This may be a big problem for users, so it is 
not possible to change in 4.0.

For the next major version, we plan to dynamically change the path to the disks
during migration, enabling migration from old version using /rhev to new version
using /run/vdsm. Since this is a very risky change, there is no way we can do
this in a stable version (4.0). Only critical fixes are allowed in 4.0.

I think we should remove the dependency on bug 1260743.

Comment 21 Nir Soffer 2016-08-30 20:24:53 UTC
(In reply to Douglas Schilling Landgraf from comment #7)
> #2 Use %{?_smp_mflags}
> make %{?_smp_mflags} DESTDIR=%{buildroot} install

I tested this on my laptop:

 $ for i in `seq 10`; do rm -rf /home/nsoffer/tmp/root/*; /usr/bin/time -f %E make -j4 DESTDIR=/home/nsoffer/tmp/root install 2>&1 | tail -n 1; done
 0:04.02
 0:04.05
 0:04.05
 0:04.11
 0:03.93
 0:03.94
 0:03.91
 0:04.05
 0:03.97
 0:04.01

 $ for i in `seq 10`; do rm -rf /home/nsoffer/tmp/root/*; /usr/bin/time -f %E make DESTDIR=/home/nsoffer/tmp/root install 2>&1 | tail -n 1; done
 0:04.19
 0:04.31
 0:04.21
 0:04.48
 0:04.34
 0:04.20
 0:04.27
 0:04.49
 0:04.26
 0:04.40

I don't see any significant improvement, but I see risk of races
during install, so I don' think this is a good idea.

 $ for i in `seq 10`; do make clean >/dev/null 2>&1; /usr/bin/time -f %E make -j4 2>&1 | tail -n 1; done
 0:01.06
 0:01.04
 0:01.08
 0:01.22
 0:01.07
 0:01.06
 0:01.10
 0:01.13
 0:01.08
 0:01.21

 $ for i in `seq 10`; do make clean >/dev/null 2>&1; /usr/bin/time -f %E make 2>&1 | tail -n 1; done
 0:01.50
 0:01.99
 0:01.95
 0:01.87
 0:01.84
 0:01.88
 0:01.75
 0:02.11
 0:01.77
 0:01.71

This is significantly faster, but it save less then a second,
so I don't think we should use it.

This also breaks when updating the spec, so it requires more
debugging if we do want this sub-second improvement.

Comment 22 Fedora Update System 2016-08-31 16:29:51 UTC
vdsm-4.18.999-440.git0bb7717.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Dominik 'Rathann' Mierzejewski 2016-09-05 13:53:41 UTC
FESCo discussed this during the last meeting and we request that vdsm be untagged from all branches and a re-review performed. The FHS violation must be corrected before it will be permitted back into Fedora:

https://meetbot.fedoraproject.org/fedora-meeting/2016-09-02/fesco.2016-09-02-16.11.log.html#l-414

Comment 24 Dominik 'Rathann' Mierzejewski 2016-09-05 13:55:11 UTC
Speaking just for myself now, I note that this package should not have passed review for other reasons as well.

1. rpmlint errors and warnings were not addressed at all. I can see some of them being noted, but they're not fixed in the package.
2. Debug package is disabled with a wrong justification. It doesn't matter that the main package is only a metapackage, binary debuginfo from all subpackages will be collected into vdsm-debuginfo automatically. If all subpackages are noarch, then just BuildArch: noarch in the main package is enough and should be removed from all subpackages.
3. ExclusiveArch is not explained (and you should use ExcludeArch: instead unless it's well-justified).
4. Obsolete BR: systemd-units.
5. Unexplained %ifarch x86_64 in line 127.
6. Unexplained Conflicts: in line 275.

And that's after a quick look at the package.

Comment 25 Dominik 'Rathann' Mierzejewski 2016-09-05 14:54:33 UTC
(In reply to Yaniv Bronhaim from comment #2)
[...]
> >>vdsm.spec:768: E: hardcoded-library-path in %{buildroot}/usr/lib/systemd/systemd-vdsmd
> vdsm.spec:769: E: hardcoded-library-path in
> %{buildroot}/usr/lib/systemd/system-preset/85-vdsmd.preset
> vdsm.spec:904: E: hardcoded-library-path in /usr/lib/systemd/systemd-vdsmd
> vdsm.spec:905: E: hardcoded-library-path in
> /usr/lib/systemd/system-preset/85-vdsmd.preset
> 
> Using %{_libdir} now

Please note that there's no /usr/lib64/systemd, so using %{_libdir} is actually wrong in this case.

> >>vdsm.spec: W: invalid-url Source0: vdsm-4.18.999.tar.gz
> 
> Changed to https://bronhaim.fedorapeople.org/%{vdsm_name}-%{version}.tar.gz
> and I'll upload the tar there

Is there no upstream project with releases for this? Having a source without an URL is acceptable if justified. A method of obtaining the source tarball should be provided in a comment or a tarball generation script should be provided.

Comment 26 Dominik 'Rathann' Mierzejewski 2016-09-05 15:09:12 UTC
Some additional nits:

Python subpackage (%package python) is named incorrectly (it should be %package -n python2-vdsm).

%changelog is not in the prescribed format.

Why are you packaging tests?

The proliferation of subpackages is quite concerning. Please explain why it doesn't make sense to merge all subpackages that do not bring in additional dependencies into the main package, namely:
api
hook-allocate_net
hook-checkimages
hook-checkips
hook-diskunmap
hook-ethtool-options
hook-extnet
hook-extra-ipv4-addrs
hook-fakesriov
hook-fakevmstats
hook-faqemu
hook-floppy
hook-hugepages
hook-ipv6
hook-isolatedprivatevlan
hook-macbind
hook-macspoof
hook-nestedvt
hook-noipspoof
hook-numa
hook-openstacknet
hook-pincpu
hook-promisc
hook-qemucmdline
hook-qos
hook-scratchpad
hook-smbios
hook-spiceoptions
hook-vmdisk
hook-vmfex/hook-vmfex-dev (why do they conflict?)
xmlrpc

Comment 27 Douglas Schilling Landgraf 2016-09-05 16:02:38 UTC
Reseting Assignee, Dominik might want to continue from here.

Comment 28 Dominik 'Rathann' Mierzejewski 2016-09-08 09:28:07 UTC
Sure thing.

Comment 29 Dominik 'Rathann' Mierzejewski 2016-10-03 17:08:52 UTC
Ping?

Comment 30 Yaniv Bronhaim 2016-11-07 17:01:46 UTC
currently nobody works on it. we plan to re-visit it and finish the review in later versions. please update the bug status if needed

Comment 31 Sandro Bonazzola 2017-01-27 10:22:46 UTC
I've seen Peter Robinson pushed an update: https://koji.fedoraproject.org/koji/buildinfo?buildID=795888

With 4.19.3 being released upstream, I think this is a good time to re-visit this.

Comment 32 Yaniv Bronhaim 2017-02-06 12:25:16 UTC
maybe someone else can pick it up for now. if you wait for me it might take awhile..


Note You need to log in before you can comment on or make changes to this bug.